This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826383 - [mvn] Glossary-push compendium PO file: OutOfMemory for big file
[mvn] Glossary-push compendium PO file: OutOfMemory for big file
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
1.6-SNAPSHOT
Unspecified Linux
unspecified Severity medium
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 01:59 EDT by Ding-Yi Chen
Modified: 2012-09-12 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120703-0952)
Doc Type: Bug Fix
Doc Text:
Cause: Large glossary file causes OutOfMemory during upload. Consequence: Transaction will be canceled as the result of OutOfMemory exception and Transaction time out. Fix: See enhancement in https://bugzilla.redhat.com/show_bug.cgi?id=833653
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-05-30 01:59:22 EDT
Version-Release number of selected component (if applicable):
1.6.0-beta-2-SNAPSHOT (20120530-0019)

Steps to Reproduce: 
1. Download the http://i18n.debian.net/compendia/po/zh_TW/compendium-zh_TW-stamp20120529.po
2. Clean up compendium-zh_TW-stamp20120529.po
3. mvn zanata:glossary-push -Dzanata.glossaryFile=compendium-zh_TW-stamp20120529.po -Dzanata.transLang=zh-Hant
 

Actual results: 
Internal error 500

Expected results:
Proceed without error
Comment 5 Alex Eng 2012-06-20 18:38:35 EDT
Tested locally with maven client (40M file): 

[INFO] Pushed 99600 of 229163 entries: 1078m21.804s = 17Hours processing.
Comment 6 Ding-Yi Chen 2012-07-03 02:28:12 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120703-0952)

Note You need to log in before you can comment on or make changes to this bug.